package com.hdkj.hussar;


public enum ResultCode implements IResultCode {
    SUCCESS(10000, "操作成功"),
    FAILURE(10001, "业务异常"),
    UN_AUTHORIZED(100002, "请求未授权"),
    REQ_REJECT(10003, "请求被拒绝"),
    DEFAULT_UNAUTHORIZED_MESSAGE(10000, "签名认证失败"),
    NO_EXIST_RESOURCE(10001, "不存在可下放的资源");

    final int code;
    final String message;

    public String getMessage() {
        return this.message;
    }

    public int getCode() {
        return this.code;
    }

    private ResultCode(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
